<?php

namespace App\Form;

use App\Entity\Chimp;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ChimpType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('type')
            ->add('subject')
            ->add('chimp_Id')
            ->add('emails_sent')
            ->add('sendAt')
            ->add('opens')
            ->add('clicks')
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Chimp::class,
        ]);
    }
}
